Theme

The Theme module makes theme management more efficient and effective. It allows you to view all theme pages, obtain details about specific theme pages, check the current app theme, and preview and test themes before applying them live.

Extension Section

Oversee the extension sections in your application through the CLI. This includes obtaining draft extension sections, publishing extension sections, retrieving sections of extensions, and more.

Operations
GET
/service/platform/theme/v1.0/company/{company_id}/application/{application_id}/extension-section
# Get extension sections
GET

Get extension sections

Retrieve the list of extension sections for a given application in the specified company.
Parameters
company_idpath
integer
Required
The ID of the company
application_idpath
string
Required
The ID of the application
typequery
string
The type of the theme
company_modequery
string
The mode of the company
GET
/service/platform/theme/v1.0/company/{company_id}/application/{application_id}/extension-section
Loading...
Response
200
Successfully retrieved the list of extension sections.
Hide
extension_id
string
bundle_name
string
organization_id
string
sections
array of object (ExtensionSection)
Show
assets
object (AssetsExtension)
Show
status
string
type
string
created_at
string
| date-time
updated_at
string
| date-time
Examples
Parameters
company_id:
1
application_id:
"value"
type:
"value"
company_mode:
"value"
Response
Loading...

Sales Channel Theme

Theme API provides a comprehensive set of tools to efficiently manage assets and global configurations for web themes. With these APIs, developers can seamlessly handle essential asset details such as JavaScript (JS) and CSS bundle URLs, along with image URLs, crucial for creating visually appealing themes. Moreover, the APIs empower sales channel users to contribute by adding data for global configurations, including color palettes and other theme global settings.

Operations
PATCH
/service/platform/theme/v2.0/company/{company_id}/application/{application_id}/{theme_id}/name
# Update theme name
GET
/service/platform/theme/v2.0/company/{company_id}/application/{application_id}
# Get applied theme
PATCH

Update theme name

Modify the name of the draft theme by theme Id.
Parameters
company_idpath
integer
Required
The ID of the company.
application_idpath
string
Required
The ID of the application.
theme_idpath
string
Required
The ID of the theme to be updated.
Request body
name
string
The new name of the theme.
PATCH
/service/platform/theme/v2.0/company/{company_id}/application/{application_id}/{theme_id}/name
Loading...
Response
200
Theme name updated successfully.
Hide
The response body containing the theme details
font
object (Font)
Show
config
object (Config)
Show
applied
boolean
Whether the theme has been applied or not
is_private
boolean
Whether the theme is private or not
tags
array of string
An array of tags associated with the theme
_id
string
The unique identifier of the theme
application_id
string
The ID of the application
marketplace_theme_id
string
The ID of the theme in the marketplace
meta
object (ThemeMeta)
Show
name
string
The name of the theme
template_theme_id
string
The ID of the template theme
version
string
The version of the theme
styles
object
The styles associated with the theme
created_at
string
| date-time
The creation timestamp of the theme
updated_at
string
| date-time
The last update timestamp of the theme
assets
object (Assets)
Show
available_sections
array of object (SectionItem)
Available sections information
Show
theme_type
string
Enum
company_id
number
The company id in which sales channel exists
src
string
Response
Loading...
GET

Get applied theme

Retrieve the currently applied theme of a sales channel using application Id.
Parameters
company_idpath
integer
Required
The ID of the company
application_idpath
string
Required
The ID of the application
GET
/service/platform/theme/v2.0/company/{company_id}/application/{application_id}
Loading...
Response
200
Successfully fetch the applied theme
Hide
The response body containing the theme details
font
object (Font)
Show
config
object (Config)
Show
applied
boolean
Whether the theme has been applied or not
is_private
boolean
Whether the theme is private or not
tags
array of string
An array of tags associated with the theme
_id
string
The unique identifier of the theme
application_id
string
The ID of the application
marketplace_theme_id
string
The ID of the theme in the marketplace
meta
object (ThemeMeta)
Show
name
string
The name of the theme
template_theme_id
string
The ID of the template theme
version
string
The version of the theme
styles
object
The styles associated with the theme
created_at
string
| date-time
The creation timestamp of the theme
updated_at
string
| date-time
The last update timestamp of the theme
assets
object (Assets)
Show
available_sections
array of object (SectionItem)
Available sections information
Show
theme_type
string
Enum
company_id
number
The company id in which sales channel exists
src
string
Examples
Parameters
Parameters are not required.
Response
Loading...

Theme Page

Theme Pages API is a tool for developers to efficiently create dynamic and customizable web pages across various platforms. It offers essential features such as section filtering based on criteria like delivery zones, time scheduler, and type of platforms, it enables developers to configure reusable sections with multiple elements using blocks, fostering creativity and flexibility in design. Moreover, it provides functionality for managing the SEO content of a page. For instance, developers can easily design a homepage with a featured products section and a promotional banner, customizing the content and layout as needed. They can implement filtering based on delivery zones and time scheduler to cater to specific audiences effectively. Ultimately, the UI Theme Pages API empowers developers to craft engaging and optimized user experiences that resonate across platforms.

Operations
PUT
/service/platform/theme/v1.0/company/{company_id}/application/{application_id}/{theme_id}/{page_value}/{socket_id}
# Update a page
PUT

Update a page

Modify and update the content of a page.
Parameters
company_idpath
integer
Required
Company ID
application_idpath
string
Required
Application ID
theme_idpath
string
Required
ID of the theme
page_valuepath
string
Required
Value of the page to be updated
socket_idpath
string
Required
Unique socket id for websocket
Request body
value
string
text
string
path
string
type
string
Enum
sections
array of object (AvailablePageSchemaSections)
Show
sections_meta
array of object (AvailablePageSectionMetaAttributes)
Show
theme
string
seo
object (AvailablePageSeo)
Show
props
array of object
_id
string
created_at
string
| date-time
The creation timestamp of the page
updated_at
string
| date-time
The last update timestamp of the page
PUT
/service/platform/theme/v1.0/company/{company_id}/application/{application_id}/{theme_id}/{page_value}/{socket_id}
Loading...
Response
200
Success. Returns a the page of the theme. Refer `AvailablePageSchema` for more details.
Hide
value
string
text
string
path
string
type
string
Enum
sections
array of object (AvailablePageSchemaSections)
Show
sections_meta
array of object (AvailablePageSectionMetaAttributes)
Show
theme
string
seo
object (AvailablePageSeo)
Show
props
array of object
_id
string
created_at
string
| date-time
The creation timestamp of the page
updated_at
string
| date-time
The last update timestamp of the page
Examples
Parameters
Parameters are not required.
Response
Loading...